Bug 206905 - Xorg choose wrong display size under Parallels
Summary: Xorg choose wrong display size under Parallels
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-18 00:41 UTC by Ian Burrell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 21:36:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (65.81 KB, text/plain)
2006-09-18 00:42 UTC, Ian Burrell
no flags Details

Description Ian Burrell 2006-09-18 00:41:50 UTC
I installed FC6T3 under Parallells on a MacBook.  It automatically chose the
display size of 1600x1200 when the MacBook monitor is only 1280x1024.

FC5 required configuring the display size.  In combination with bug #206900
where s-c-d won't change the display size, I had to manually edit xorg.conf to
get the right size.

I am not sure if Parallels supports EDID and correctly reports the resolution to
the guest OS.  I put in a support ticket to find that out.

Comment 1 Ian Burrell 2006-09-18 00:42:34 UTC
Created attachment 136498 [details]
Xorg log

Comment 2 Adam Jackson 2006-09-29 21:36:57 UTC
There does not appear to be any DDC information available, and the faked VBIOS
is reporting a maximum resolution of 1600x1200, so that's what we end up using.
 As it stands, this isn't a bug we can fix.

If Parallels gains the ability to report native screen size somehow this will
get fixed.  The options are:

- set the maximum resolution available through VBIOS to native screen size
- add DDC emulation to Parallels (and wire up our vesa driver to use it better)
- add VBE Panel extensions support to their VBIOS (and wire up our vesa driver
to use that info at all)


Note You need to log in before you can comment on or make changes to this bug.